package com.palmnest.application.dto.input;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class RepairServiceInputDto implements Serializable {
    private Long id;
    private String s_no;
    private String repair_username;//'报修人',
    private Long repair_user_id;//'报修人ID',
    private String repair_phone;//'电话',
    private String company_name;//'公司',
    private String remarks;//'描述',
    private String build_name;// '楼栋名称',
    private String build_floor;//'楼层',
    private String build_room;// '房间号',
    private Long build_id;//'楼栋ID',
    private String pic_url;//图片
    private Byte source_type;// 下单源(1，PC；2，微信；3，Android；4，iOS),
    private BigDecimal repair_amount;// '维修费用',
    private Long org_id;//项目ID


    private Long room_id;//房间号ID
    private Long        floor_id;//楼层ID
    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getS_no() {
        return s_no;
    }

    public void setS_no(String s_no) {
        this.s_no = s_no;
    }

    public String getRepair_username() {
        return repair_username;
    }

    public void setRepair_username(String repair_username) {
        this.repair_username = repair_username;
    }

    public Long getRepair_user_id() {
        return repair_user_id;
    }

    public void setRepair_user_id(Long repair_user_id) {
        this.repair_user_id = repair_user_id;
    }

    public String getRepair_phone() {
        return repair_phone;
    }

    public void setRepair_phone(String repair_phone) {
        this.repair_phone = repair_phone;
    }

    public String getCompany_name() {
        return company_name;
    }

    public void setCompany_name(String company_name) {
        this.company_name = company_name;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getBuild_name() {
        return build_name;
    }

    public void setBuild_name(String build_name) {
        this.build_name = build_name;
    }

    public String getBuild_floor() {
        return build_floor;
    }

    public void setBuild_floor(String build_floor) {
        this.build_floor = build_floor;
    }

    public String getBuild_room() {
        return build_room;
    }

    public void setBuild_room(String build_room) {
        this.build_room = build_room;
    }

    public Long getBuild_id() {
        return build_id;
    }

    public void setBuild_id(Long build_id) {
        this.build_id = build_id;
    }

    public String getPic_url() {
        return pic_url;
    }

    public void setPic_url(String pic_url) {
        this.pic_url = pic_url;
    }

    public Byte getSource_type() {
        return source_type;
    }

    public void setSource_type(Byte source_type) {
        this.source_type = source_type;
    }

    public BigDecimal getRepair_amount() {
        return repair_amount;
    }

    public void setRepair_amount(BigDecimal repair_amount) {
        this.repair_amount = repair_amount;
    }

    public Long getOrg_id() {
        return org_id;
    }

    public void setOrg_id(Long org_id) {
        this.org_id = org_id;
    }

    public Long getRoom_id() {
        return room_id;
    }

    public void setRoom_id(Long room_id) {
        this.room_id = room_id;
    }

    public Long getFloor_id() {
        return floor_id;
    }

    public void setFloor_id(Long floor_id) {
        this.floor_id = floor_id;
    }
}
